Endpoint Groups
Auth
Authentication bootstrap, login, OIDC configuration, and web session administration.
Bootstrap completePOST
/auth/bootstrap/complete
Operation ID
bootstrapCompleteRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
409 |
The request conflicts with the current state of the server. |
429 |
Client error |
500 |
Server error |
Create bootstrap tokenPOST
/auth/bootstrap/tokens
Operation ID
createBootstrapTokenRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Local loginPOST
/auth/local/login
Authenticates a local user with username and password and returns a bearer token for subsequent API calls.
Operation ID
localLoginRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get OIDC providerGET
/auth/provider/oidc
Operation ID
getOIDCProviderResponses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Upsert OIDC providerPUT
/auth/provider/oidc
Operation ID
upsertOIDCProviderRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Revoke all web sessionsPOST
/auth/sessions/revoke-all
Operation ID
revokeAllWebSessionsRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
503 |
Service unavailable. |
Get web session statsGET
/auth/sessions/stats
Operation ID
getWebSessionStatsResponses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
503 |
Service unavailable. |